[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue.GetDisplayName

Gets the value for the DisplayName property in the collection item.

## Declaration

Source position: propertystorage.pas line 47

`protected function TStoredValue.GetDisplayName: string; override;`

## Function result

Value for the property.

## Description

GetDisplayName is overridden in TStoredValue to use the value in the Name property (when assigned). If Name is an empty string (''), the inherited method is called to get the value for the property.

## See also

TStoredValue.Name |  | The name for the collection item.
TStoredValue.SetDisplayName |  | Sets the value for the DisplayName property in the collection item.
TCollectionItem.DisplayName